{"openapi":"3.0.3","info":{"title":"API for Centoweb4","description":"# Authentication\n                    Obtenir le token d'authentification :  \n                    `POST : \/api\/login_check`  \n                    `{  \n                        \"username\" : exampleusername,  \n                        \"password\" : examplepassword  \n                    }`\n        Le header doit \u00eatre la forme :   \n        `Authorization : Bearer token`  \n        token correspond au token r\u00e9cup\u00e9r\u00e9 par la requ\u00eate pr\u00e9c\u00e8dente ","version":"1.0"},"servers":[{"url":"\/","description":""}],"paths":{"\/api\/a_p_n_configurations":{"get":{"operationId":"getAPNConfigurationCollection","tags":["APNConfiguration"],"responses":{"200":{"description":"APNConfiguration collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/APNConfiguration"}}}}}},"summary":"Retrieves the collection of APNConfiguration resources.","description":"Retrieves the collection of APNConfiguration resources.","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postAPNConfigurationCollection","tags":["APNConfiguration"],"responses":{"201":{"description":"APNConfiguration resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"links":{"GetAPNConfigurationItem":{"operationId":"getAPNConfigurationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/a_p_n_configurations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Creates a APNConfiguration resource.","description":"Creates a APNConfiguration resource.","parameters":[],"requestBody":{"description":"The new APNConfiguration resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/a_p_n_configurations\/{id}":{"get":{"operationId":"getAPNConfigurationItem","tags":["APNConfiguration"],"responses":{"200":{"description":"APNConfiguration resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}}},"404":{"description":"Resource not found"}},"summary":"Retrieves a APNConfiguration resource.","description":"Retrieves a APNConfiguration resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putAPNConfigurationItem","tags":["APNConfiguration"],"responses":{"200":{"description":"APNConfiguration resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"links":{"GetAPNConfigurationItem":{"operationId":"getAPNConfigurationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/a_p_n_configurations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Replaces the APNConfiguration resource.","description":"Replaces the APNConfiguration resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated APNConfiguration resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteAPNConfigurationItem","tags":["APNConfiguration"],"responses":{"204":{"description":"APNConfiguration resource deleted"},"404":{"description":"Resource not found"}},"summary":"Removes the APNConfiguration resource.","description":"Removes the APNConfiguration resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"patch":{"operationId":"patchAPNConfigurationItem","tags":["APNConfiguration"],"responses":{"200":{"description":"APNConfiguration resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"links":{"GetAPNConfigurationItem":{"operationId":"getAPNConfigurationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/a_p_n_configurations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Updates the APNConfiguration resource.","description":"Updates the APNConfiguration resource.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated APNConfiguration resource","content":{"application\/merge-patch+json":{"schema":{"$ref":"#\/components\/schemas\/APNConfiguration"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/actualities":{"get":{"operationId":"getActualityCollection","tags":["Actuality"],"responses":{"200":{"description":"Actuality collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Actuality"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Actuality"}}}}}},"summary":"Liste des actualit\u00e9s","description":"Liste des actualit\u00e9s","parameters":[],"deprecated":false},"parameters":[]},"\/api\/actualities\/{id}":{"get":{"operationId":"getActualityItem","tags":["Actuality"],"responses":{"200":{"description":"Actuality resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Actuality"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Actuality"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une playlist","description":"Information concernant une playlist","parameters":[{"name":"id","in":"path","description":"id de l'actuality","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/actus_index":{"get":{"operationId":"getActusIndexActualityCollection","tags":["Actuality"],"responses":{"200":{"description":"Actuality collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Actuality"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Actuality"}}}}}},"summary":"Liste des actualit\u00e9s de l'index","description":"Liste des actualit\u00e9s de l'index","parameters":[],"deprecated":false},"parameters":[]},"\/api\/add_model_to_frame\/{frame_id}\/{model_id}":{"post":{"operationId":"addModelToFrameFrameCollection","tags":["Frame"],"responses":{"201":{"description":"Frame resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Frame"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Frame"}}},"links":{"GetFrameItem":{"operationId":"getFrameItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/frames\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Ajouter un mod\u00e8le sur une page","description":"Ajouter un mod\u00e8le sur une page","parameters":[{"name":"frame_id","in":"path","description":"id de la frame","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false},{"name":"model_id","in":"path","description":"id du model","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The new Frame resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Frame"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Frame"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/animations":{"get":{"operationId":"getAnimationCollection","tags":["Animation"],"responses":{"200":{"description":"Animation collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Animation"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Animation"}}}}}},"summary":"Liste des animations","description":"Liste des animations","parameters":[],"deprecated":false},"parameters":[]},"\/api\/animations\/{id}":{"get":{"operationId":"getAnimationItem","tags":["Animation"],"responses":{"200":{"description":"Animation resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Animation"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Animation"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une animation","description":"Information concernant une animation","parameters":[{"name":"id","in":"path","description":"id de l'animation","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/applications":{"get":{"operationId":"getApplicationCollection","tags":["Application"],"responses":{"200":{"description":"Application collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Application-application...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Application-application...read"}}}}}},"summary":"Information sur l'application","description":"Information sur l'application","parameters":[{"name":"key","in":"query","description":"Filter using a key to find applications","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[name]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postApplicationCollection","tags":["Application"],"responses":{"201":{"description":"Application resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}}},"links":{"GetApplicationItem":{"operationId":"getApplicationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/applications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une application","description":"Cr\u00e9ation d'une application","parameters":[],"requestBody":{"description":"The new Application resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/applications\/get_config\/{token}":{"get":{"operationId":"getConfigApplicationItem","tags":["Application"],"responses":{"200":{"description":"Application resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}}}},"404":{"description":"Resource not found"}},"summary":"Config d'une appli","description":"Config d'une appli","parameters":[{"name":"token","in":"path","description":"token de l'appli'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false},{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/applications\/{id}":{"get":{"operationId":"getApplicationItem","tags":["Application"],"responses":{"200":{"description":"Application resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une appli","description":"Detail d'une appli","parameters":[{"name":"id","in":"path","description":"id de l'appli'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putApplicationItem","tags":["Application"],"responses":{"200":{"description":"Application resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...read"}}},"links":{"GetApplicationItem":{"operationId":"getApplicationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/applications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une application","description":"Modification d'une application","parameters":[{"name":"id","in":"path","description":"id de l'application'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Application resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Application-application...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Application-application...edit"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/applicationsuser":{"get":{"operationId":"getApplicationsOfUserApplicationCollection","tags":["Application"],"responses":{"200":{"description":"Application collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Application-application...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Application-application...read"}}}}}},"summary":"Applications de l'utilisateur","description":"Applications de l'utilisateur","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"key","in":"query","description":"Filter using a key to find applications","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"order[name]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string","enum":["asc","desc"]},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/authentification":{"post":{"operationId":"getApiTokenUserItem","tags":["User"],"responses":{"201":{"description":"User resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/User"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/User"}}},"links":{"GetUserItem":{"operationId":"getUserItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/users\/{id}`."}}},"400":{"description":"API key manquante"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"},"200":{"description":"JWT g\u00e9n\u00e9r\u00e9 avec succ\u00e8s"},"401":{"description":"API key invalide"}},"summary":"R\u00e9cup\u00e9ration d'un JWT via une cl\u00e9 API","description":"Permet de r\u00e9cup\u00e9rer un token JWT pour un utilisateur \u00e0 partir de sa cl\u00e9 API.","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"apiKey":{"type":"string"}},"required":["apiKey"]}}},"required":false},"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms":{"get":{"operationId":"gETAutoCreationFormCollection","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...list"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...list"}}}}}},"summary":"Affiche tous les formulaires de cr\u00e9ation pour le client","description":"Affiche tous les formulaires pour le client","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"pOSTAutoCreationFormCollection","tags":["AutoCreationForm"],"responses":{"201":{"description":"AutoCreationForm resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un formulaire de cr\u00e9ation pour le client","description":"Cr\u00e9ation d'un formulaire pour le client","parameters":[],"requestBody":{"description":"The new AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/generate\/{id}":{"get":{"operationId":"generateAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoLogin.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoLogin.read"}}}},"404":{"description":"Resource not found"}},"summary":"G\u00e9n\u00e8re les donn\u00e9es du formulaire","description":"G\u00e9n\u00e8re les donn\u00e9es du formulaire","parameters":[{"name":"id","in":"path","description":"id du form","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/reverse_state\/{id}":{"post":{"operationId":"reverse_stateAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"201":{"description":"AutoCreationForm resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Change l'\u00e9tat du formulaire \u00e0 l'\u00e9tape ant\u00e9rieure","description":"Change l'\u00e9tat du formulaire \u00e0 l'\u00e9tape ant\u00e9rieure et accepte un motif (reason)","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"","content":{"application\/json":{"schema":{"type":"object","properties":{"reason":{"type":"string","example":"Erreur dans la saisie du client"}},"required":["reason"]}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/send_login\/{id}":{"get":{"operationId":"send_loginAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}}},"404":{"description":"Resource not found"}},"summary":"Envoie un mail avec le token pour le formulaire \u00e0 tous les mails renseign\u00e9s","description":"Envoie un mail avec le token pour le formulaire \u00e0 tous les mails renseign\u00e9s","parameters":[{"name":"id","in":"path","description":"id du form","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/send_mail\/{id}":{"get":{"operationId":"send_mailAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}}},"404":{"description":"Resource not found"}},"summary":"Envoie un mail \u00e0 chaque utilisateur cr\u00e9\u00e9 par le formulaire","description":"Envoie un mail \u00e0 chaque utilisateur cr\u00e9\u00e9 par le formulaire","parameters":[{"name":"id","in":"path","description":"id du form","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_forms\/{id}":{"get":{"operationId":"gETAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'un formulaire de cr\u00e9ation d'un client","description":"Detail d'un formulaire de cr\u00e9ation d'un client","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"pUTAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"200":{"description":"AutoCreationForm resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'un formulaire de creation d'un client","description":"Modification d'un formulaire de creation d'un client","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AutoCreationForm resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationForm-autoForm...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"dELETEAutoCreationFormItem","tags":["AutoCreationForm"],"responses":{"204":{"description":"AutoCreationForm resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'un formulaire de cr\u00e9ation","description":"Suppression d'un formulaire de cr\u00e9ation","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_images":{"get":{"operationId":"gETAutoCreationImageCollection","tags":["AutoCreationImage"],"responses":{"200":{"description":"AutoCreationImage collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationImage"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationImage"}}}}}},"summary":"Liste des images d'auto creation","description":"Liste des images d'auto creation","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"pOSTAutoCreationImageCollection","tags":["AutoCreationImage"],"responses":{"201":{"description":"AutoCreationImage resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Sauvegarde d'une image pour la future application du client","description":"Sauvegarde d'une image pour la future application du client","parameters":[],"requestBody":{"description":"The new AutoCreationImage resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_images\/{id}":{"get":{"operationId":"gETAutoCreationImageItem","tags":["AutoCreationImage"],"responses":{"200":{"description":"AutoCreationImage resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage-autoImage...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationImage-autoImage...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une image pour la future application du client","description":"Detail d'une image pour la future application du client","parameters":[{"name":"id","in":"path","description":"id de l'image","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_logins":{"get":{"operationId":"gETAutoCreationLoginCollection","tags":["AutoCreationLogin"],"responses":{"200":{"description":"AutoCreationLogin collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.read.collection"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.read.collection"}}}}}},"summary":"Afficher toutes les entit\u00e9s de connexion du formulaire","description":"Afficher toutes les entit\u00e9s de connexion du formulaire","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"post":{"operationId":"pOSTAutoCreationLoginCollection","tags":["AutoCreationLogin"],"responses":{"201":{"description":"AutoCreationLogin resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une entit\u00e9 de connexion au formulaire","description":"Cr\u00e9ation d'une entit\u00e9 de connexion au formulaire","parameters":[],"requestBody":{"description":"The new AutoCreationLogin resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_logins\/send_mail\/{id}":{"get":{"operationId":"send_mailAutoCreationLoginItem","tags":["AutoCreationLogin"],"responses":{"200":{"description":"AutoCreationLogin resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}}}},"404":{"description":"Resource not found"}},"summary":"Envoie un mail avec les token pour acc\u00e9der au formulaire \u00e0 l'adresse mail renseign\u00e9","description":"Envoie un mail avec les token pour acc\u00e9der au formulaire \u00e0 l'adresse mail renseign\u00e9","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_logins\/{id}":{"get":{"operationId":"gETAutoCreationLoginItem","tags":["AutoCreationLogin"],"responses":{"200":{"description":"AutoCreationLogin resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin-autoLogin.read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une entit\u00e9 de connexion au formulaire","description":"Detail d'une entit\u00e9 de connexion au formulaire","parameters":[{"name":"id","in":"path","description":"id du login","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"pUTAutoCreationLoginItem","tags":["AutoCreationLogin"],"responses":{"200":{"description":"AutoCreationLogin resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationLogin"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une entit\u00e9 de connexion au formulaire","description":"Modification d'une entit\u00e9 de connexion au formulaire","parameters":[{"name":"id","in":"path","description":"id du login","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AutoCreationLogin resource","content":{"application\/json":{"schema":{}},"text\/html":{"schema":{}}},"required":true},"deprecated":false},"delete":{"operationId":"dELETEAutoCreationLoginItem","tags":["AutoCreationLogin"],"responses":{"204":{"description":"AutoCreationLogin resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'une enit\u00e9 de connexion au formulaire","description":"Suppression d'une entit\u00e9 de connexion au formulaire","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_panels":{"post":{"operationId":"pOSTAutoCreationPanelCollection","tags":["AutoCreationPanel"],"responses":{"201":{"description":"AutoCreationPanel resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un formulaire pour les Panneaux","description":"Cr\u00e9ation d'un formulaire pour les Panneaux","parameters":[],"requestBody":{"description":"The new AutoCreationPanel resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_panels\/{id}":{"get":{"operationId":"gETAutoCreationPanelItem","tags":["AutoCreationPanel"],"responses":{"200":{"description":"AutoCreationPanel resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...read"}}}},"404":{"description":"Resource not found"}},"summary":"D\u00e9tail d'un formulaire de cr\u00e9ation de panneau","description":"D\u00e9tail d'un formulaire de cr\u00e9ation de panneau","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"pUTAutoCreationPanelItem","tags":["AutoCreationPanel"],"responses":{"200":{"description":"AutoCreationPanel resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'un formulaire de creation d'un panneau","description":"Modification d'un formulaire de creation d'un panneau","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AutoCreationPanel resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationPanel-autoPanel...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"dELETEAutoCreationPanelItem","tags":["AutoCreationPanel"],"responses":{"204":{"description":"AutoCreationPanel resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'un formulaire de panneau","description":"Suppression d'un formulaire de panneau","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_users":{"post":{"operationId":"pOSTAutoCreationUserCollection","tags":["AutoCreationUser"],"responses":{"201":{"description":"AutoCreationUser resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un formulaire pour les comptes utilisateurs","description":"Cr\u00e9ation d'un formulaire pour les comptes utilisateurs","parameters":[],"requestBody":{"description":"The new AutoCreationUser resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/auto_creation_users\/send_mail\/{id}":{"get":{"operationId":"send_mailAutoCreationUserItem","tags":["AutoCreationUser"],"responses":{"200":{"description":"AutoCreationUser resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}}}},"404":{"description":"Resource not found"}},"summary":"Envoie un mail \u00e0 l'utilisateur qui a \u00e9t\u00e9 cr\u00e9\u00e9","description":"Envoie un mail \u00e0 l'utilisateur qui a \u00e9t\u00e9 cr\u00e9\u00e9","parameters":[{"name":"id","in":"path","description":"id d'un utilisateur","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/auto_creation_users\/{id}":{"get":{"operationId":"gETAutoCreationUserItem","tags":["AutoCreationUser"],"responses":{"200":{"description":"AutoCreationUser resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...read"}}}},"404":{"description":"Resource not found"}},"summary":"D\u00e9tail d'un formulaire de cr\u00e9ation d'utilisateur","description":"D\u00e9tail d'un formulaire de cr\u00e9ation d'utilisateur","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"pUTAutoCreationUserItem","tags":["AutoCreationUser"],"responses":{"200":{"description":"AutoCreationUser resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser"}}},"links":{}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'un formulaire de creation d'un utilisateur","description":"Modification d'un formulaire de creation d'un utilisateur","parameters":[{"name":"id","in":"path","description":"id du formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated AutoCreationUser resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/AutoCreationUser-autoUser...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"dELETEAutoCreationUserItem","tags":["AutoCreationUser"],"responses":{"204":{"description":"AutoCreationUser resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'un formulaire de compte utilisateur","description":"Suppression d'un formulaire de compte utilisateur","parameters":[{"name":"id","in":"path","description":"id d'un formulaire","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/categoriesinformationsmallclient\/{public}":{"get":{"operationId":"getCategoriesCategoryInformationCollection","tags":["CategoryInformation"],"responses":{"200":{"description":"CategoryInformation collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...read"}}}}}},"summary":"Categories d'information","description":"Categories d'information","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_informations":{"post":{"operationId":"postCategoryInformationCollection","tags":["CategoryInformation"],"responses":{"201":{"description":"CategoryInformation resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation"}}},"links":{"GetCategoryInformationItem":{"operationId":"getCategoryInformationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_informations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une cat\u00e9gorie information","description":"Cr\u00e9ation d'une cat\u00e9gorie information","parameters":[],"requestBody":{"description":"The new CategoryInformation resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...create"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...create"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/category_informations\/{id}":{"get":{"operationId":"getCategoryInformationItem","tags":["CategoryInformation"],"responses":{"200":{"description":"CategoryInformation resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une cat\u00e9gorie information","description":"Detail d'une cat\u00e9gorie information","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putCategoryInformationItem","tags":["CategoryInformation"],"responses":{"200":{"description":"CategoryInformation resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation"}}},"links":{"GetCategoryInformationItem":{"operationId":"getCategoryInformationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_informations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une cat\u00e9gorie information","description":"Modification d'une cat\u00e9gorie information","parameters":[{"name":"id","in":"path","description":"id d une cat\u00e9gorie information'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CategoryInformation resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryInformation-categoryInformation...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteCategoryInformationItem","tags":["CategoryInformation"],"responses":{"204":{"description":"CategoryInformation resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppr\u00e9ssion d'une cat\u00e9gorie information","description":"Suppr\u00e9ssion d'une cat\u00e9gorie information","parameters":[{"name":"id","in":"path","description":"id d\\'une cat\u00e9gorie information'","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_message_not_on_my_playlist\/{id}":{"get":{"operationId":"getCategoryMessageNotOnMyPlaylistCategoryMessageCollection","tags":["CategoryMessage"],"responses":{"200":{"description":"CategoryMessage collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage"}}}}}},"summary":"Cat\u00e9gories de message non pr\u00e9sentes sur la playlist","description":"Cat\u00e9gories de message non pr\u00e9sentes sur la playlist","parameters":[{"name":"id","in":"path","description":"id de la playlist","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false},{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_message_sleep":{"get":{"operationId":"getCategoryMessageSleepCategoryMessageCollection","tags":["CategoryMessage"],"responses":{"200":{"description":"CategoryMessage collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage"}}}}}},"summary":"Cat\u00e9gories de message pour le mode veille","description":"Cat\u00e9gories de message pour le mode veille","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_messages":{"get":{"operationId":"getCategoryMessageCollection","tags":["CategoryMessage"],"responses":{"200":{"description":"CategoryMessage collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage-categories...list"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryMessage-categories...list"}}}}}},"summary":"Liste des cat\u00e9gories de mesages","description":"Liste des cat\u00e9gories de mesages","parameters":[],"deprecated":false},"parameters":[]},"\/api\/category_messages\/{id}":{"get":{"operationId":"getCategoryMessageItem","tags":["CategoryMessage"],"responses":{"200":{"description":"CategoryMessage resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryMessage"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryMessage"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une cat\u00e9gorie de message","description":"Information concernant une cat\u00e9gorie de message","parameters":[{"name":"id","in":"path","description":"id de la categoryMessage","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_push_notifications":{"post":{"operationId":"postCategoryPushNotificationCollection","tags":["CategoryPushNotification"],"responses":{"201":{"description":"CategoryPushNotification resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification"}}},"links":{"GetCategoryPushNotificationItem":{"operationId":"getCategoryPushNotificationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_push_notifications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une cat\u00e9gorie push notification","description":"Cr\u00e9ation d'une cat\u00e9gorie push notification","parameters":[],"requestBody":{"description":"The new CategoryPushNotification resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...create"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...create"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/category_push_notifications\/{id}":{"get":{"operationId":"getCategoryPushNotificationItem","tags":["CategoryPushNotification"],"responses":{"200":{"description":"CategoryPushNotification resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une cat\u00e9gorie push notification","description":"Detail d'une cat\u00e9gorie push notification","parameters":[{"name":"id","in":"path","description":"id de la categorie push notification","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putCategoryPushNotificationItem","tags":["CategoryPushNotification"],"responses":{"200":{"description":"CategoryPushNotification resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification"}}},"links":{"GetCategoryPushNotificationItem":{"operationId":"getCategoryPushNotificationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_push_notifications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une cat\u00e9gorie push notification","description":"Modification d'une cat\u00e9gorie push notification","parameters":[{"name":"id","in":"path","description":"id d une push notification","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CategoryPushNotification resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteCategoryPushNotificationItem","tags":["CategoryPushNotification"],"responses":{"204":{"description":"CategoryPushNotification resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppr\u00e9ssion d'une cat\u00e9gorie push notification","description":"Suppr\u00e9ssion d'une cat\u00e9gorie push notification","parameters":[{"name":"id","in":"path","description":"id d\\'une cat\u00e9gorie push notification","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_push_notifications_application\/{token}\/{public}":{"get":{"operationId":"getCategoryPushNotificationFromApplicationCategoryPushNotificationCollection","tags":["CategoryPushNotification"],"responses":{"200":{"description":"CategoryPushNotification collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryPushNotification-categoryPushNotification...read"}}}}}},"summary":"Token application","description":"Token application","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_reporting_link_to_applications":{"get":{"operationId":"getCategoryReportingLinkToApplicationCollection","tags":["CategoryReportingLinkToApplication"],"responses":{"200":{"description":"CategoryReportingLinkToApplication collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...list"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...list"}}}}}},"summary":"Liste des cat\u00e9gories de signalement li\u00e9 \u00e0 l'application","description":"Liste des cat\u00e9gories de signalement li\u00e9 \u00e0 l'application","parameters":[{"name":"application.id","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer"},"style":"form","explode":false,"allowReserved":false},{"name":"application.id[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"integer"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postCategoryReportingLinkToApplicationCollection","tags":["CategoryReportingLinkToApplication"],"responses":{"201":{"description":"CategoryReportingLinkToApplication resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...post"}}},"links":{"GetCategoryReportingLinkToApplicationItem":{"operationId":"getCategoryReportingLinkToApplicationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_reporting_link_to_applications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un nouveau cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","description":"Cr\u00e9ation d'un nouveau cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","parameters":[],"requestBody":{"description":"The new CategoryReportingLinkToApplication resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/category_reporting_link_to_applications\/{id}":{"get":{"operationId":"getCategoryReportingLinkToApplicationItem","tags":["CategoryReportingLinkToApplication"],"responses":{"200":{"description":"CategoryReportingLinkToApplication resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication"}}}},"404":{"description":"Resource not found"}},"summary":"Information concernant une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","description":"Information concernant une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putCategoryReportingLinkToApplicationItem","tags":["CategoryReportingLinkToApplication"],"responses":{"200":{"description":"CategoryReportingLinkToApplication resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...put"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...put"}}},"links":{"GetCategoryReportingLinkToApplicationItem":{"operationId":"getCategoryReportingLinkToApplicationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_reporting_link_to_applications\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","description":"Modification d'une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CategoryReportingLinkToApplication resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...put"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReportingLinkToApplication-category_reporting_link_to_application...put"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteCategoryReportingLinkToApplicationItem","tags":["CategoryReportingLinkToApplication"],"responses":{"204":{"description":"CategoryReportingLinkToApplication resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","description":"Suppression d'une cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement li\u00e9 \u00e0 l'application","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/category_reportings":{"get":{"operationId":"getCategoryReportingCollection","tags":["CategoryReporting"],"responses":{"200":{"description":"CategoryReporting collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryReporting-reporting...getList"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/CategoryReporting-reporting...getList"}}}}}},"summary":"Liste des cat\u00e9gories de signalement","description":"Liste des cat\u00e9gories de signalement","parameters":[],"deprecated":false},"post":{"operationId":"postCategoryReportingCollection","tags":["CategoryReporting"],"responses":{"201":{"description":"CategoryReporting resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}}},"links":{"GetCategoryReportingItem":{"operationId":"getCategoryReportingItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_reportings\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un nouveau cat\u00e9gorie de signalement","description":"Cr\u00e9ation d'un nouveau cat\u00e9gorie de signalement","parameters":[],"requestBody":{"description":"The new CategoryReporting resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/category_reportings\/{id}":{"get":{"operationId":"getCategoryReportingItem","tags":["CategoryReporting"],"responses":{"200":{"description":"CategoryReporting resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}}}},"404":{"description":"Resource not found"}},"summary":"Information concernant une cat\u00e9gorie de signalement","description":"Information concernant une cat\u00e9gorie de signalement","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putCategoryReportingItem","tags":["CategoryReporting"],"responses":{"200":{"description":"CategoryReporting resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting"}}},"links":{"GetCategoryReportingItem":{"operationId":"getCategoryReportingItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/category_reportings\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une cat\u00e9gorie de signalement","description":"Modification d'une cat\u00e9gorie de signalement","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CategoryReporting resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting-category_reporting...put"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CategoryReporting-category_reporting...put"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteCategoryReportingItem","tags":["CategoryReporting"],"responses":{"204":{"description":"CategoryReporting resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'une cat\u00e9gorie de signalement","description":"Suppression d'une cat\u00e9gorie de signalement","parameters":[{"name":"id","in":"path","description":"id de la cat\u00e9gorie de signalement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/change_enabled\/{message_playlist_id}":{"put":{"operationId":"putEnabledMessagePlaylistItem","tags":["MessagePlaylist"],"responses":{"200":{"description":"MessagePlaylist resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist-mp...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist-mp...read"}}},"links":{"GetMessagePlaylistItem":{"operationId":"getMessagePlaylistItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/message_playlists\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification de la validit\u00e9 d\"un message sur une playlist","description":"Modification de la validit\u00e9 d\"un message sur une playlist","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated MessagePlaylist resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/change_position\/{message_playlist_id}":{"put":{"operationId":"putPositionMessagePlaylistItem","tags":["MessagePlaylist"],"responses":{"200":{"description":"MessagePlaylist resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist-mp...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist-mp...read"}}},"links":{"GetMessagePlaylistItem":{"operationId":"getMessagePlaylistItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/message_playlists\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification de la position","description":"Modification de la position","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated MessagePlaylist resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/MessagePlaylist"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/change_position_playlist_player\/{playlist_player_id}":{"put":{"operationId":"putPositionPlaylistPlayerItem","tags":["PlaylistPlayer"],"responses":{"200":{"description":"PlaylistPlayer resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/PlaylistPlayer-mp...read_playlist...item_playlist...list"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/PlaylistPlayer-mp...read_playlist...item_playlist...list"}}},"links":{"GetPlaylistPlayerItem":{"operationId":"getPlaylistPlayerItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/playlist_players\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification de la position d'une playlist sur un player","description":"Modification de la position d'une playlist sur un player","parameters":[{"name":"playlist_player_id","in":"path","description":"id du playlistPlayer","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false},{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated PlaylistPlayer resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/PlaylistPlayer"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/PlaylistPlayer"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/check_images_in_messages":{"post":{"operationId":"check_images_in_messagesImageMessageCollection","tags":["ImageMessage"],"responses":{"201":{"description":"ImageMessage resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ImageMessage-image...list"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ImageMessage-image...list"}}},"links":{"GetImageMessageItem":{"operationId":"getImageMessageItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/image_messages\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"renvoie les images d'une liste donn\u00e9e, qui sont pr\u00e9sents dans un message","description":"renvoie les images d'une liste donn\u00e9e, qui sont pr\u00e9sents dans un message","parameters":[],"requestBody":{"description":"The new ImageMessage resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/ImageMessage"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/check_videos_in_messages":{"post":{"operationId":"check_videos_in_messagesVideoCollection","tags":["Video"],"responses":{"201":{"description":"Video resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Video-video...list"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Video-video...list"}}},"links":{"GetVideoItem":{"operationId":"getVideoItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/videos\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"renvoie les vid\u00e9os d'une liste donn\u00e9e, qui sont pr\u00e9sents dans un message","description":"renvoie les images d'une liste donn\u00e9e, qui sont pr\u00e9sents dans un message","parameters":[],"requestBody":{"description":"The new Video resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Video"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/clients":{"get":{"operationId":"getClientCollection","tags":["Client"],"responses":{"200":{"description":"Client collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Client"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Client"}}}}}},"summary":"Liste des clients","description":"Liste des clients","parameters":[],"deprecated":false},"parameters":[]},"\/api\/clients\/{id}":{"get":{"operationId":"getClientItem","tags":["Client"],"responses":{"200":{"description":"Client resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Client"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Client"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'un client","description":"Information concernant un client","parameters":[{"name":"id","in":"path","description":"id du client","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/clock_elements":{"post":{"operationId":"postClockElementCollection","tags":["ClockElement"],"responses":{"201":{"description":"ClockElement resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ClockElement-message...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ClockElement-message...read"}}},"links":{"GetClockElementItem":{"operationId":"getClockElementItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/clock_elements\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un nouveau clockElement","description":"Cr\u00e9ation d'un nouveau clockElement","parameters":[],"requestBody":{"description":"The new ClockElement resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/clock_elements\/{id}":{"get":{"operationId":"getClockElementItem","tags":["ClockElement"],"responses":{"200":{"description":"ClockElement resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}}}},"404":{"description":"Resource not found"}},"summary":"Information concernant un clockElement","description":"Information concernant un clockElement","parameters":[{"name":"id","in":"path","description":"id du clockElement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putClockElementItem","tags":["ClockElement"],"responses":{"200":{"description":"ClockElement resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}}},"links":{"GetClockElementItem":{"operationId":"getClockElementItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/clock_elements\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'un clockElement","description":"Modification d'un clockElement","parameters":[{"name":"id","in":"path","description":"id du clockElement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated ClockElement resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ClockElement"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteClockElementItem","tags":["ClockElement"],"responses":{"204":{"description":"ClockElement resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'un clockElement","description":"Suppression d'un clockElement","parameters":[{"name":"id","in":"path","description":"id du textElement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/configurations\/{id}":{"get":{"operationId":"getConfigurationItem","tags":["Configuration"],"responses":{"200":{"description":"Configuration resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Configuration-configuration...item"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Configuration-configuration...item"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une configuration","description":"Information concernant une configuration","parameters":[{"name":"id","in":"path","description":"id de la configuration","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putConfigurationItem","tags":["Configuration"],"responses":{"200":{"description":"Configuration resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Configuration-configuration...item"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Configuration-configuration...item"}}},"links":{"GetConfigurationItem":{"operationId":"getConfigurationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/configurations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une configuration","description":"Modification d'une configuration","parameters":[{"name":"id","in":"path","description":"id de la configuration","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated Configuration resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Configuration"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Configuration"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/counter_elements":{"post":{"operationId":"postCounterElementCollection","tags":["CounterElement"],"responses":{"201":{"description":"CounterElement resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CounterElement-message...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CounterElement-message...read"}}},"links":{"GetCounterElementItem":{"operationId":"getCounterElementItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/counter_elements\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un nouveau counterElement","description":"Cr\u00e9ation d'un nouveau counterElement","parameters":[],"requestBody":{"description":"The new CounterElement resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CounterElement"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CounterElement"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/counter_elements\/{id}":{"get":{"operationId":"getCounterElementItem","tags":["CounterElement"],"responses":{"200":{"description":"CounterElement resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CounterElement"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CounterElement"}}}},"404":{"description":"Resource not found"}},"summary":"Information concernant un counterElement","description":"Information concernant un counterElement","parameters":[{"name":"id","in":"path","description":"id du counterElement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putCounterElementItem","tags":["CounterElement"],"responses":{"200":{"description":"CounterElement resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CounterElement"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CounterElement"}}},"links":{"GetCounterElementItem":{"operationId":"getCounterElementItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/counter_elements\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'un counterElement","description":"Modification d'un counterElement","parameters":[{"name":"id","in":"path","description":"id du counterElement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated CounterElement resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/CounterElement"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/CounterElement"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteCounterElementItem","tags":["CounterElement"],"responses":{"204":{"description":"CounterElement resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'un counterElement","description":"Suppression d'un counterElement","parameters":[{"name":"id","in":"path","description":"id du counterElement","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/create_message":{"post":{"operationId":"createMessageMessageCollection","tags":["Message"],"responses":{"201":{"description":"Message resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Message-message...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Message-message...read"}}},"links":{"GetMessageItem":{"operationId":"getMessageItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/messages\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'un message","description":"Cr\u00e9ation d'un message","parameters":[],"requestBody":{"description":"The new Message resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Message"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Message"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/current_user":{"get":{"operationId":"getCurrentUserUserItem","tags":["User"],"responses":{"200":{"description":"User resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/User"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/User"}}}},"404":{"description":"Resource not found"}},"summary":"Information de l'utilisateur connect\u00e9","description":"Information de l'utilisateur connect\u00e9","parameters":[{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/data_panel_web\/{panel_id}":{"get":{"operationId":"getDataPanelPanelCollection","tags":["Panel"],"responses":{"200":{"description":"Information of panel"}},"summary":"Obtenir les donn\u00e9es du panneau","description":"Obtenir les donn\u00e9es du panneau","parameters":[{"name":"panel_id","in":"path","description":"id du panneau","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false},{"name":"active","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"boolean"},"style":"form","explode":false,"allowReserved":false},{"name":"web","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"boolean"},"style":"form","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/data_param\/{param_id}":{"get":{"operationId":"getDataOfParamParamCollection","tags":["Param"],"responses":{"200":{"description":"Param collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Param"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/Param"}}}}}},"summary":"R\u00e9cup\u00e9re les datas du param","description":"R\u00e9cup\u00e9re les datas du param","parameters":[{"name":"page","in":"query","description":"The collection page number","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"integer","default":1},"style":"form","explode":false,"allowReserved":false},{"name":"paramGeneral","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"paramGeneral[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/day_diffusions":{"get":{"operationId":"getDayDiffusionCollection","tags":["DayDiffusion"],"responses":{"200":{"description":"DayDiffusion collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/DayDiffusion"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/DayDiffusion"}}}}}},"summary":"Liste des jours de diffusion","description":"Liste des jours de diffusion","parameters":[],"deprecated":false},"parameters":[]},"\/api\/day_diffusions\/{id}":{"get":{"operationId":"getDayDiffusionItem","tags":["DayDiffusion"],"responses":{"200":{"description":"DayDiffusion resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DayDiffusion"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/DayDiffusion"}}}},"404":{"description":"Resource not found"}},"summary":"Information d'un jour de diffusion","description":"Information d'un jour de diffusion","parameters":[{"name":"id","in":"path","description":"id du dayDiffusion","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/default_playlist_references":{"get":{"operationId":"getDefaultPlaylistReferenceCollection","tags":["DefaultPlaylistReference"],"responses":{"200":{"description":"DefaultPlaylistReference collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...read"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...read"}}}}}},"summary":"Information sur les configurations par defaut","description":"Information sur les configurations par defaut","parameters":[{"name":"Reference","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"Reference[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"SmallClient","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"SmallClient[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false},{"name":"Playlist","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"string"},"style":"form","explode":false,"allowReserved":false},{"name":"Playlist[]","in":"query","description":"","required":false,"deprecated":false,"allowEmptyValue":true,"schema":{"type":"array","items":{"type":"string"}},"style":"form","explode":true,"allowReserved":false}],"deprecated":false},"post":{"operationId":"postDefaultPlaylistReferenceCollection","tags":["DefaultPlaylistReference"],"responses":{"201":{"description":"DefaultPlaylistReference resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...read"}}},"links":{"GetDefaultPlaylistReferenceItem":{"operationId":"getDefaultPlaylistReferenceItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/default_playlist_references\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Cr\u00e9ation d'une configuration par defaut pour une ref","description":"Cr\u00e9ation d'une configuration par defaut pour une ref","parameters":[],"requestBody":{"description":"The new DefaultPlaylistReference resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...post"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...post"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/default_playlist_references\/{id}":{"get":{"operationId":"getDefaultPlaylistReferenceItem","tags":["DefaultPlaylistReference"],"responses":{"200":{"description":"DefaultPlaylistReference resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...read"}}}},"404":{"description":"Resource not found"}},"summary":"Detail d'une configuration par defaut pour une ref","description":"Detail d'une configuration par defaut pour une ref","parameters":[{"name":"id","in":"path","description":"id de la config","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"put":{"operationId":"putDefaultPlaylistReferenceItem","tags":["DefaultPlaylistReference"],"responses":{"200":{"description":"DefaultPlaylistReference resource updated","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...read"}}},"links":{"GetDefaultPlaylistReferenceItem":{"operationId":"getDefaultPlaylistReferenceItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/default_playlist_references\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"},"404":{"description":"Resource not found"}},"summary":"Modification d'une configuration par defaut pour une ref","description":"Modification d'une configuration par defaut pour une ref","parameters":[{"name":"id","in":"path","description":"id de la config","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"requestBody":{"description":"The updated DefaultPlaylistReference resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...edit"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/DefaultPlaylistReference-defaultPlaylistReference...edit"}}},"required":true},"deprecated":false},"delete":{"operationId":"deleteDefaultPlaylistReferenceItem","tags":["DefaultPlaylistReference"],"responses":{"204":{"description":"DefaultPlaylistReference resource deleted"},"404":{"description":"Resource not found"}},"summary":"Suppression d'une config","description":"Suppression d'une config","parameters":[{"name":"id","in":"path","description":"id de la config","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/delete_images_in_messages":{"post":{"operationId":"delete_images_in_messagesImageMessageCollection","tags":["ImageMessage"],"responses":{"201":{"description":"ImageMessage resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/ImageMessage-image...list"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/ImageMessage-image...list"}}},"links":{"GetImageMessageItem":{"operationId":"getImageMessageItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/image_messages\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"supprime les images d'une liste donn\u00e9e, et les messages auxquelles elles sont associ\u00e9es","description":"supprime les images d'une liste donn\u00e9e, et les messages auxquelles elles sont associ\u00e9es","parameters":[],"requestBody":{"description":"The new ImageMessage resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/ImageMessage"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/delete_multiple_informations":{"post":{"operationId":"delete_multiple_informationsUsefulInfoInformationCollection","tags":["UsefulInfoInformation"],"responses":{"201":{"description":"UsefulInfoInformation resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/UsefulInfoInformation"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/UsefulInfoInformation"}}},"links":{"GetUsefulInfoInformationItem":{"operationId":"getUsefulInfoInformationItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/useful_info_informations\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Suppression d'un groupe d'information de l'application","description":"Suppression d'un groupe d'information de l'application","parameters":[],"requestBody":{"description":"The new UsefulInfoInformation resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/UsefulInfoInformation"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/delete_timeslot":{"post":{"operationId":"deleteTimeSlotsTimeSlotCollection","tags":["TimeSlot"],"responses":{"201":{"description":"TimeSlot resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/TimeSlot-mp...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/TimeSlot-mp...read"}}},"links":{"GetTimeSlotItem":{"operationId":"getTimeSlotItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/time_slots\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"Suppression de plages horaires","description":"Suppression de plages horaires","parameters":[],"requestBody":{"description":"The new TimeSlot resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/TimeSlot"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/TimeSlot"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/delete_videos_in_messages":{"post":{"operationId":"delete_videos_in_messagesVideoCollection","tags":["Video"],"responses":{"201":{"description":"Video resource created","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Video-video...list"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Video-video...list"}}},"links":{"GetVideoItem":{"operationId":"getVideoItem","parameters":{"id":"$response.body#\/id"},"description":"The `id` value returned in the response can be used as the `id` parameter in `GET \/api\/videos\/{id}`."}}},"400":{"description":"Invalid input"},"422":{"description":"Unprocessable entity"}},"summary":"supprime les vid\u00e9os d'une liste donn\u00e9e, et les entit\u00e9s auxquelles elles sont associ\u00e9es","description":"supprime les vid\u00e9os d'une liste donn\u00e9e, et les entit\u00e9s auxquelles elles sont associ\u00e9es","parameters":[],"requestBody":{"description":"The new Video resource","content":{"multipart\/form-data":{"schema":{"$ref":"#\/components\/schemas\/Video"}}},"required":true},"deprecated":false},"parameters":[]},"\/api\/duplicate_frame\/{frame_id}":{"get":{"operationId":"duplicateFrameFrameItem","tags":["Frame"],"responses":{"200":{"description":"Frame resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Frame-message...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Frame-message...read"}}}},"404":{"description":"Resource not found"}},"summary":"Dupliquer une page","description":"Dupliquer une page","parameters":[{"name":"frame_id","in":"path","description":"id de la frame","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false},{"name":"id","in":"path","description":"Resource identifier","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"string"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/duplicate_message\/{id}":{"get":{"operationId":"duplicateMessageMessageItem","tags":["Message"],"responses":{"200":{"description":"Message resource","content":{"application\/json":{"schema":{"$ref":"#\/components\/schemas\/Message-message...read"}},"text\/html":{"schema":{"$ref":"#\/components\/schemas\/Message-message...read"}}}},"404":{"description":"Resource not found"}},"summary":"Duplication d'un message","description":"Duplication d'un un message","parameters":[{"name":"id","in":"path","description":"id du message","required":true,"deprecated":false,"allowEmptyValue":false,"schema":{"type":"integer"},"style":"simple","explode":false,"allowReserved":false}],"deprecated":false},"parameters":[]},"\/api\/ephemeris_days":{"get":{"operationId":"getEphemerisDayCollection","tags":["EphemerisDay"],"responses":{"200":{"description":"EphemerisDay collection","content":{"application\/json":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/EphemerisDay"}}},"text\/html":{"schema":{"type":"array","items":{"$ref":"#\/components\/schemas\/EphemerisDay"}}}}}},"summary":"Liste des \u00e9ph\u00e9
[...]
